import React, { Component } from 'react';
import { ResolveThunks } from 'react-redux';
import { exportState } from '../../actions';
type DispatchProps = ResolveThunks<typeof actionCreators>;
type Props = DispatchProps;
declare class ExportButton extends Component<Props> {
    shouldComponentUpdate(): boolean;
    render(): React.JSX.Element;
}
declare const actionCreators: {
    exportState: typeof exportState;
};
declare const _default: import("react-redux").ConnectedComponent<typeof ExportButton, {
    key?: React.Key | null | undefined;
    ref?: React.LegacyRef<ExportButton> | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
